---
---

/* GNOME CSS theme for Release Notes */

/* FONTS */

@font-face {
  font-family: Inter;
  font-weight: 100 900;
  font-display: swap;
  font-style: normal;
  font-named-instance: "Regular";
  src: local("Inter var"), local("Inter"), url("/static/fonts/Inter.var.woff2") format("woff2");
}

:root {
  --rounded-corner: 12px;
  --gnomeblue: #1c71d8;
  --blue1: rgb(153, 193, 241);
  --blue2: rgb(98, 160, 234);
  --blue3: rgb(53, 132, 228);
  --blue4: rgb(28, 113, 216);
  --blue5: rgb(26, 95, 180);
  --green1: rgb(143, 240, 164);
  --green2: rgb(87, 227, 137);
  --green3: rgb(51, 209, 122);
  --green4: rgb(46, 194, 126);
  --green5: rgb(38, 162, 105);
  --yellow1: rgb(249, 240, 107);
  --yellow2: rgb(248, 228, 92);
  --yellow3: rgb(246, 211, 45);
  --yellow4: rgb(245, 194, 17);
  --yellow5: rgb(229, 165, 10);
  --orange1: rgb(255, 190, 111);
  --orange2: rgb(255, 163, 72);
  --orange3: rgb(255, 120, 0);
  --orange4: rgb(230, 97, 0);
  --orange5: rgb(198, 70, 0);
  --red1: rgb(246, 97, 81);
  --red2: rgb(237, 51, 59);
  --red3: rgb(224, 27, 36);
  --red4: rgb(192, 28, 40);
  --red5: rgb(165, 29, 45);
  --purple1: rgb(220, 138, 221);
  --purple2: rgb(192, 97, 203);
  --purple3: rgb(145, 65, 172);
  --purple4: rgb(129, 61, 156);
  --purple5: rgb(97, 53, 131);
  --brown1: rgb(205, 171, 143);
  --brown2: rgb(181, 131, 90);
  --brown3: rgb(152, 106, 68);
  --brown4: rgb(134, 94, 60);
  --brown5: rgb(99, 69, 44);
  --light1: rgb(255, 255, 255);
  --light2: rgb(246, 245, 244);
  --light3: rgb(222, 221, 218);
  --light4: rgb(192, 191, 188);
  --light5: rgb(154, 153, 150);
  --dark1: rgb(119, 118, 123);
  --dark2: rgb(94, 92, 100);
  --dark3: rgb(61, 56, 70);
  --dark4: rgb(36, 31, 49);
  --dark5: rgb(0, 0, 0);
  --adwaita-accent-color: var(--blue4);
  --adwaita-warning-color: #9c6e03;
  --adwaita-error-color: #c01c28;
  --btnround: 500px;
  --btn-fg: #000;
  --btn-bg: rgba(0,0,0,0.2);
  --text: #f6f5f4;
  --tocbg: var(--light2);
  --tocfg: var(--dark3);
  --borders: var(--light3);
  --fgcolor: var(--dark5);
  --fgcolor-rgb: 0,0,0;
  --bgcolor: var(--light1);
  --bgcolor-rgb: 255,255,255;
  --osdfgcolor: var(--dark5);
  --osdbgcolor: rgba(0, 0, 0, 0.1);
  --link: var(--adwaita-accent-color);
  --link-deco: color-mix(in oklab, var(--link) 50%, var(--bgcolor));
  --pagewidth: 40rem;
  --pagepad: 1rem;
  --footerbgcolor: var(--light3);
  --footerfgcolor: var(--dark3);
  --footerfgcolor-rgb: 61,56,70;
  --accordion-min-height: 2rem;
  --accordion-max-height: 30rem;
  --narrowwidth: 55%;
  --defaultsize: 18px;
  --form-bg: #fefefe;
  --form-fg: var(--fgcolor);
  --focuscolor: rgba(0,0,200,0.2);
}

::selection {
  background-color: rgba(153, 193, 241, 0.5);
}

@media (prefers-color-scheme: dark) {
  :root {
    --adwaita-accent-color: #78aeed;
    --adwaita-warning-color: #f8e45c;
    --adwaita-error-color: #ff7b63;
    --tocbg: rgba(0, 0, 0, 0.3);
    --tocfg: var(--light5);
    --borders: var(--dark3);
    --fgcolor: var(--light1);
    --fgcolor-rgb: 255,255,255;
    --bgcolor: var(--dark4);
    --bgcolor-rgb: 36,31,49;
    --osdfgcolor: var(--light1);
    --osdbgcolor: rgba(0, 0, 0, 0.3);
    --footerbgcolor: var(--dark5); 
    --footerfgcolor: var(--light2);
    --footerfgcolor-rgb: 246,245,244;
    --btn-fg: #fff;
    --btn-bg: rgba(255,255,255,0.05);    
    --form-bg: var(--dark3);
    --form-fg: var(--fgcolor);
    --focuscolor: var(--blue5);
  }
  ::selection {
    background-color: rgba(26, 95, 180, 0.4);
  }
}

@media only screen and (max-width: 600px) {
  :root {
      --narrowwidth: 100%;
      --defaultsize: 1.1em;
      --pagepad: 1rem;
    }
}

* {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
} /* smooth scroll anchor links */

body {
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-family: "Inter", sans-serif;
  font-weight: 400;
  line-height: 1.6;
  color: var(--fgcolor);
  background-color: var(--bgcolor);
  overflow-x: hidden; /* screenshots when zoomed in */
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
@media (min-width: 700px) {
  html,
  body {
    font-size: 18px;
  }
}

/* grid layout to allow for images being edge to edge */
main {
  padding: 0;
  display: grid;
  grid-template-columns:
    [full-start] minmax(var(--pagepad), 1fr)
    [main-start] minmax(var(--pagepad), var(--pagewidth)) [main-end]
    minmax(var(--pagepad), 1fr) [full-end];
  justify-items: start;
}

main > * {
  grid-column: main;
}

main p.full, 
main picture.full {
  display: block;
  grid-column: full;
  margin: 0;
}

main p.full img, 
main picture.full img {
  display: block;
  width: 100%;
  margin: 0;
}

pre {
  grid-column: main / full;
  background-color: var(--dark4);
  color: var(--light1);
  padding: 2rem;
  overflow: scroll;
}

p strong {
  font-weight: 600;
  opacity: 0.9;
}

h1 {
  font-weight: 800;
  font-size: 24pt;
  text-align: center;
}

h2 {
  font-weight: 800;
  font-size: 17pt;
  margin-top: 3rem;
}


h3 {
  font-weight: 800;
  font-size: 15pt;
}
h4 {
  font-weight: 700;
  font-size: 14pt;
}
h5 {
  font-weight: 700;
  font-size: 12pt;
}
h2,
h3,
h4,
h5 {
  opacity: 0.7;
}

h1:first-of-type {
  margin-top: calc(2 * var(--pagepad));
}



a {
  color: var(--link);
  text-decoration-color: var(--link-deco);
  transition: all 300ms ease-in-out;
}
@media (prefers-contrast: more) {
  a {
    text-decoration-color: unset;
  }
}
@media (prefers-reduced-motion) {
  a {
    transition: none;
  }
}
a:hover {
  text-decoration-color: unset; /* restore text decoration color to match text color */
}

ul {
  margin: 1rem 0 0;
}
ul li {
  list-style-image: url({{site.baseurl}}/assets/bullet.svg);
  margin-inline-end: 1ch;
  margin-bottom: 1rem;
}
ul li:hover::marker {
}

kbd {
  font-family: monospace;
  font-size: 70%;
  padding: 0.2rem 0.4rem;
  background-color: var(--osdbgcolor);
  color: var(--osdfgcolor);
  border-radius: var(--rounded-corner);
}
.icon-dropshadow {
  filter: drop-shadow(0 1px 3px rgba(0, 0, 0, 0.2));
}

.narrow { font-size: 90%; max-width: var(--narrowwidth); margin: 1rem auto; }

.listbox {
  max-width: 30rem; margin: 2rem auto 1rem;
  background-color: var(--form-bg);
  color: var(--form-fg);
  border-radius: var(--rounded-corner);
  box-shadow: 0 0 4px rgba(0,0,0,0.3);
  display: grid;
  grid-template-rows: 1fr;
}

.listbox>div { /* row */
  min-height: 4rem;
  padding: 1rem;
  position: relative;
  border-bottom: 1px solid rgba(0,0,0,0.05);
  
  & input {
    position: absolute;
    width: 100%; height: 100%;
    top: 0; left: 0;
    right: 0; bottom: 0;
    background-color: transparent;
    border: none;
    padding: 24px 12px 12px;
    font-size: 1.1rem;
    
    &:focus {
      outline: var(--focuscolor) 3px solid;
    }
  }
  & input[value=""],input:not([value]) {
    
  }

  &:first-child input { border-radius: var(--rounded-corner) var(--rounded-corner) 0 0; }
  &:last-child input { border-radius: 0 0 var(--rounded-corner) var(--rounded-corner); border-bottom: none; }

  & label {
    display: block;
    position: absolute;
    opacity: 0.5;
    top: 6px; left: 12px;
    font-size: 80%;
    user-select: none;
    pointer-events: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none;
  }
}

fieldset {
  width: 100%;
  margin: 0;
  padding: 0;
  border: 0;
}

/* captcha */

.cf-turnstile {
  width: 100%;
  margin-top: 1rem;
}
  .cf-turnstile iframe {
    display: block;
    margin: 0 auto;
  }

/* buttons */
.btn {
  font-weight: 600;
  font-variation-settings: "wght" 600;
  color: var(--btn-fg);
  background-color: var(--btn-bg);
  display: inline-block;
  font-size: 100%;
  padding: 0.6rem 2rem;
  margin: .3rem;
  max-width: 20rem;
  text-align: center;
  text-decoration: none;  
  border-radius: var(--btnround);
  box-shadow: 0 0 0 0 var(--btn-bg);
  min-width: 6rem;
  transition: box-shadow 200ms var(--slickease);
  border: none;
  
  &:hover { box-shadow: 0 0 0 2px var(--btn-bg); }
}
.btn.standalone {
  display: block;
  padding: 0.6rem 2rem;
  margin: 1rem auto;
}
  
  p>.btn { margin: .5rem .5rem 0 0; } 
  
  .btn.suggested {
    font-weight: 700;
    font-variation-settings: "wght" 700;
    background-color: var(--gnomeblue);
    color: var(--light1);
    box-shadow: 0 0 0 0 var(--gnomeblue);
    transition: box-shadow 200ms var(--slickease);
  }
  .btn.suggested:hover {
    background-color: var(--blue3);
    box-shadow: 0 0 0 2px var(--blue3);
  }
  .btn.suggested:active {
    background-color: var(--blue2);
  }
  
  .btn.heavy { background-color: var(--dark4); }
  .btn.heavy:hover { box-shadow: 0 0 0 2px var(--dark4); }

kbd {
  font-family: monospace;
  font-size: 70%;
  padding: 0.2rem 0.4rem;
  background-color: var(--osdbgcolor);
  color: var(--osdfgcolor);
  border-radius: var(--rounded-corner);
}

footer {
	margin: 6rem 0 0 0;
	background-color: var(--footerbgcolor);
	color: var(--footerfgcolor);
	padding: calc(3*var(--pagepad)) var(--pagepad) calc(6*var(--pagepad));
	flex: 0;
	justify-self: end;
}

footer p {
  font-size: 80%;
  max-width: var(--pagewidth);
  margin: auto;
  text-align: center;
}

ul.nav a {
  display: inline-block;
  padding: 0.3rem 1rem;
  text-decoration: none;
  font-weight: 500;
  border-radius: var(--btnround);
  transition: all 300ms ease-out;
}

footer a {
  color: var(--footerfgcolor);
  text-decoration: none;
  display: block;
  margin: auto;
}

footer a[href^="http"]:after { content: none; }

footer .wiki {
  margin-top: 4rem;
  font-size: 60%;
  font-weight: 600;
  letter-spacing: 0.03em;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

footer .wiki a {
  display: block;
  background-color: rgba(var(--footerfgcolor-rgb),0.05);
  padding: .3rem .6rem;
  border-radius: 999px;
  margin: 12px;
}

footer .wiki a:hover {
  color: var(--bgcolor);
  background-color: rgba(var(--footerfgcolor-rgb),0.6);
}
